package com.ss.android.ugc.aweme.influencer.ecommercelive.framework.network;

import X.M12;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public final class BaseResponse<T> {
    @c(LIZ = "code")
    public int code = -1;
    @c(LIZ = "data")
    public T data;
    @c(LIZ = "msg")
    public String message = "";

    static {
        Covode.recordClassIndex(88409);
    }

    public final int getCode() {
        return this.code;
    }

    public final T getData() {
        return this.data;
    }

    public final String getMessage() {
        return this.message;
    }

    public final boolean isSuccess() {
        if (this.code == 0) {
            return true;
        }
        return false;
    }

    public final void setCode(int i) {
        this.code = i;
    }

    public final void setData(T t) {
        this.data = t;
    }

    public final void setMessage(String str) {
        M12.LIZ(str);
        this.message = str;
    }
}
